export declare enum ContentType {
    /**
     * 二进制文件。
     **/
    ApplicationOctetStream = "application/octet-stream",
    /**
     * 原生表单的上传数据（文本）。
    **/
    ApplicationXWWWFormUrlencoded = "application/x-www-form-urlencoded",
    /**
     * 原生表单上传的多条数据（文本和二进制）。
    **/
    MultipartFormData = "multipart/form-data",
    /**
     * 表单上传的Json格式数据。
    **/
    ApplicationJson = "application/json",
    /**
     * 文本文件（.txt）。
    **/
    Text = "text",
    /**
     * 文本文件（.txt）。
    **/
    TextPlain = "text/plain",
    /**
     * HTML网页文件（.html/.htm）。
    **/
    TextHtml = "text/html",
    /**
     * CSS样式表文件（.css）。
    **/
    TextCSS = "text/css",
    /**
     * XML文件（.css）。
    **/
    TextXML = "text/xml",
    /**
     * Javascript脚本文件（.js）。
    **/
    ApplicationXJavascript = "application/x-javascript",
    /**
     * 图片文件（.js）。
    **/
    Image = "image",
    /**
     * Jepg图片文件（.jpg/.jepg）。
    **/
    ImageJepg = "image/jpeg",
    /**
     * Png图片文件（.png）。
    **/
    ImagePng = "image/png",
    /**
     * Bmp图片文件（.bmp）。
    **/
    ApplicationXBmp = "application/x-bmp",
    /**
     * TIF图片文件（.tif/.tiff）。
    **/
    ImageTiff = "image/tiff",
    /**
     * TGA图片文件（.tga）。
    **/
    ApplicationXTga = "application/x-tga",
    /**
     * PDF图片文件（.pdf）。
    **/
    ApplicationPdf = "application/pdf",
    /**
     * Word97-2003文档（.doc）。
    **/
    ApplicationMsword = "application/msword",
    /**
     * Word文档（.docx）。
    **/
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlDocument = "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
    /**
     * Excel97-2003电子表格（.xls/.csv）。
    **/
    ApplicationVndMsExcel = "application/vnd.ms-excel",
    /**
     * Excel电子表格（.xlsx）。
    **/
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlSheet = "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
    /**
     * PowerPoint97-2003演示文稿（.ppt）。
    **/
    ApplicationVndMsPowerpoint = "application/vnd.ms-powerpoint",
    /**
     * PowerPoint演示文稿（.pptx）。
    **/
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlPresentation = "application/vnd.openxmlformats-officedocument.presentationml.presentation",
    /**
     * ZIP压缩文件夹（.zip）。
    **/
    ApplicationXZipCompressed = "application/x-zip-compressed"
}
